where_am_I := $(dir $(abspath $(lastword $(MAKEFILE_LIST))))
include $(E3_REQUIRE_TOOLS)/driver.makefile

REQUIRED += calc

APP:=vmmTblApp
APPDB:=$(APP)/Db
APPSRC:=$(APP)/src

TMPS += $(APPDB)/hybrid.template
TMPS += $(APPDB)/vmm_tbl.template
SUBS = $(APPDB)/channels.sub

SOURCES += $(wildcard $(APPSRC)/*.cpp)
SOURCES += $(APPSRC)/hybrid.cpp
SOURCES += $(APPSRC)/vmm3a.cpp
SOURCES += $(APPSRC)/vmm_config.cpp
SOURCES += $(APPSRC)/vmm_tbl.cpp
SOURCES += $(APPSRC)/vmm_tbl_regs_map.cpp
HEADERS += $(APPSRC)/hybrid.h
HEADERS += $(APPSRC)/vmm3a.h
HEADERS += $(APPSRC)/vmm_config.h
HEADERS += $(APPSRC)/vmm_params.h
HEADERS += $(APPSRC)/vmm_tbl.h
HEADERS += $(APPSRC)/vmm_tbl_regs_map.h
DBDS    += $(APPSRC)/vmm_tbl.dbd

USR_DBFLAGS += -I . -I ..
USR_DBFLAGS += -I $(EPICS_BASE)/db
USR_DBFLAGS += -I $(APPDB)

vlibs:
.PHONY: vlibs
